Retrieve details of task with Id

GET https://{controlplane_path}api/1/rest/public/catalog/{env_org}/tasks/{job_id}           
Retrieve task details with specified id in the environment.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Parameter Description Required
controlplane_path The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
Yes
env_org The name of the SnapLogic Environment/Org. Yes
job_id The id for the task in the environment. Yes

Query parameters

None

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Response

A successful response includes a Code 200 OK where:
  • list: The task details.
  • content: The JSON object contains details of the specified task in the Environment/Org.
 {
    "name": "",
    "path": "",
    "job_id": "",
    "updated_by": "",
    "updated_at": "2025-06-16T16:27:01.535Z",
    "url": "",
    "params": null,
    "note": "",
    "snaplex": "",
    "operational_data": 
    {
    "total_executions": 0,
    "stopped_executions": 0,
    "successful_executions": 0,
    "failed_executions": 0,
    "execution_failure_rate": 0.0,
    "average_duration_ms": 0,
    "average_docs_processed": 0
    },
    "last_run_date": null,
    "snode_id": "",
    "enabled": true,
    "schedule": null,
    "pipeline": {
    "name": "",
    "sources": [],
    "targets": [],
    "accounts": [],
    "snode_id": "",
    "pipeline_id": ""
    },
    "type": "",
    "created_by": "",
    "created_at": "",
    "custom_metadata": {
    "customField1": "",
    "customField2": "",
    "customField3": "",
    "custom_field_1": ""
    },
    "plex_path": "",
    "last_run_status": null
    }                    }

Example

Assuming a task request in a development environment with job_id 685045d5cac1d36c663d71cb: https://elastic.snaplogicdev.com/api/1/rest/public/catalog/DEV/tasks/685045d5cac1d36c663d71cb

     {
      "name": "task",
      "path": "DEV/projects/my_project",
      "job_id": "685045d5cac1d36c663d71cb",
      "updated_by": "[email protected]",
      "updated_at": "2025-06-26T16:27:01.535Z",
      "url": "https://elastic.snaplogicdev.com/api/1/rest/slsched/feed/DEV/projects/my_project/task",
      "params": null,
      "note": "",
      "snaplex": "Cloud",
      "operational_data": {
          "total_executions": 0,
          "stopped_executions": 0,
          "successful_executions": 0,
          "failed_executions": 0,
          "execution_failure_rate": 0.0,
          "average_duration_ms": 0,
          "average_docs_processed": 0
      },
      "last_run_date": null,
      "snode_id": "685045d5213543f3745019e6",
      "enabled": true,
      "schedule": null,
      "pipeline": {
          "name": "pipeline",
          "sources": [],
          "targets": [],
          "accounts": [],
          "snode_id": "685045a790597da337700611",
          "pipeline_id": "c84dca0f-81bf-4356-b4a7-0a80bb309296"
      },
      "type": "triggered",
      "created_by": "[email protected]",
      "created_at": "2025-06-16T16:27:01.535Z",
      "custom_metadata": {
          "customField1": "",
          "customField2": "",
          "customField3": "",
          "custom_field_1": ""
      },
      "plex_path": "DEV/shared/Cloud",
      "last_run_status": null
  }